org.glassfish.jersey.server.model

## Class RuntimeResourceModelValidator

- java.lang.Object
- - org.glassfish.jersey.server.model.AbstractResourceModelVisitor
  - - org.glassfish.jersey.server.model.RuntimeResourceModelValidator

All Implemented Interfaces:
  ResourceModelVisitor

    public class RuntimeResourceModelValidator
    extends AbstractResourceModelVisitor

Runtime resource model validator validating ambiguity of resource methods.

Author:
  Miroslav Fuksa

### Constructor Summary

Constructors
Constructor and Description
`RuntimeResourceModelValidator(MessageBodyWorkers workers)` Create a new validator instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visitRuntimeResource(RuntimeResource runtimeResource)` Process a runtime resource model.

### Methods inherited from class org.glassfish.jersey.server.model.AbstractResourceModelVisitor

`visitChildResource, visitInvocable, visitMethodHandler, visitResource, visitResourceHandlerConstructor, visitResourceMethod, visitResourceModel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RuntimeResourceModelValidator

    public RuntimeResourceModelValidator(MessageBodyWorkers workers)

Create a new validator instance.

Parameters:
  `workers` - Message body workers.

### Method Detail

#### visitRuntimeResource

    public void visitRuntimeResource(RuntimeResource runtimeResource)

Description copied from interface: `ResourceModelVisitor`
Process a runtime resource model.

Specified by:
  `visitRuntimeResource` in interface `ResourceModelVisitor`
Overrides:
  `visitRuntimeResource` in class `AbstractResourceModelVisitor`
Parameters:
  `runtimeResource` - runtime resource model.